## org.irisa.genouest.logol
Class StructConstraint

    java.lang.Object
      org.irisa.genouest.logol.StructConstraint

All Implemented Interfaces:
  Constraint

    public class StructConstraint

extends java.lang.Object
implements Constraint

Field Summary
`java.lang.String` `contentConstraint`
`java.lang.String` `max`
`java.lang.String` `min`
`java.lang.String` `name`
`boolean` `neg`
`int` `type`
`java.lang.String` `variableContent`

Constructor Summary
`StructConstraint()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### neg

    public boolean neg

### type

    public int type

### variableContent

    public java.lang.String variableContent

### contentConstraint

    public java.lang.String contentConstraint

### min

    public java.lang.String min

### max

    public java.lang.String max

### name

    public java.lang.String name

Constructor Detail

### StructConstraint

    public StructConstraint()